Subject: Re: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Dec 2020 17:32:20 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 11 Dec 2020 09:15:32 -0600
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
> > What theme-related files need to be byte-compiled, and why?
> 
> I believe the issues involved are explained in some detail in the first
> message in this bug report.

If they are, I'm missing that.  All I see is an assertion that the
files must be byte-compiled:

> The problem with contributing this new code to Emacs is that it cannot
> work if it is placed in ../etc/themes/.  Instead, the files need to be
> in a path that handles byte-compilation, like ../lisp/modus-themes/.

I'm probably missing something, and that is what I'm asking to
elaborate on.

TIA